Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.marshall
Class TreeCacheMarshaller140

    java.lang.Object
      org.jboss.cache.marshall.Marshaller
          org.jboss.cache.marshall.TreeCacheMarshaller140

    public class TreeCacheMarshaller140

extends Marshaller

An enhanced marshaller for RPC calls between TreeCache instances.

Author:
  Manik Surtani (manik@jboss.org)

Field Summary
`protected static int` | `MAGICNUMBER_BOOLEAN`
`protected static int` | `MAGICNUMBER_FQN`
`protected static int` | `MAGICNUMBER_GTX`
`protected static int` | `MAGICNUMBER_INTEGER`
`protected static int` | `MAGICNUMBER_IPADDRESS`
`protected static int` | `MAGICNUMBER_LIST`
`protected static int` | `MAGICNUMBER_LONG`
`protected static int` | `MAGICNUMBER_METHODCALL`
`protected static int` | `MAGICNUMBER_NULL`
`protected static int` | `MAGICNUMBER_REF`
`protected static int` | `MAGICNUMBER_SERIALIZABLE`
`protected static int` | `MAGICNUMBER_STRING`

Fields inherited from class org.jboss.cache.marshall.Marshaller
`defaultInactive, regionManager, useRegionBasedMarshalling`

Constructor Summary
`TreeCacheMarshaller140(RegionManager manager, boolean defaultInactive, boolean useRegionBasedMarshalling)`

Method Summary
`java.lang.Object` | `objectFromStream(java.io.ObjectInputStream in)` Implementation classes will need to parse the given stream and create an object from it.
`void` | `objectToStream(java.lang.Object o, java.io.ObjectOutputStream out)` Implementation classes will need to marshall the object passed in and write the object into the given stream.

Methods inherited from class org.jboss.cache.marshall.Marshaller
`activate, extractFqn, extractFqnFromListOfMethodCall, extractFqnFromMethodCall, getClassLoader, getRegion, inactivate, init, isInactive, registerClassLoader, unregisterClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAGICNUMBER_METHODCALL

    protected static final int MAGICNUMBER_METHODCALL

See Also:
  Constant Field Values

### MAGICNUMBER_FQN

    protected static final int MAGICNUMBER_FQN

See Also:
  Constant Field Values

### MAGICNUMBER_GTX

    protected static final int MAGICNUMBER_GTX

See Also:
  Constant Field Values

### MAGICNUMBER_IPADDRESS

    protected static final int MAGICNUMBER_IPADDRESS

See Also:
  Constant Field Values

### MAGICNUMBER_LIST

    protected static final int MAGICNUMBER_LIST

See Also:
  Constant Field Values

### MAGICNUMBER_INTEGER

    protected static final int MAGICNUMBER_INTEGER

See Also:
  Constant Field Values

### MAGICNUMBER_LONG

    protected static final int MAGICNUMBER_LONG

See Also:
  Constant Field Values

### MAGICNUMBER_BOOLEAN

    protected static final int MAGICNUMBER_BOOLEAN

See Also:
  Constant Field Values

### MAGICNUMBER_STRING

    protected static final int MAGICNUMBER_STRING

See Also:
  Constant Field Values

### MAGICNUMBER_NULL

    protected static final int MAGICNUMBER_NULL

See Also:
  Constant Field Values

### MAGICNUMBER_SERIALIZABLE

    protected static final int MAGICNUMBER_SERIALIZABLE

See Also:
  Constant Field Values

### MAGICNUMBER_REF

    protected static final int MAGICNUMBER_REF

See Also:
  Constant Field Values

Constructor Detail

### TreeCacheMarshaller140

    public TreeCacheMarshaller140(RegionManager manager,
                                  boolean defaultInactive,
                                  boolean useRegionBasedMarshalling)

Method Detail

### objectToStream

    public void objectToStream(java.lang.Object o,
                               java.io.ObjectOutputStream out)
                        throws java.lang.Exception

  Description copied from class: `Marshaller`
  Implementation classes will need to marshall the object passed in and write the object into the given stream.

  Specified by:
    `objectToStream` in class `Marshaller`
  Throws:
    `java.lang.Exception`

### objectFromStream

    public java.lang.Object objectFromStream(java.io.ObjectInputStream in)
                                      throws java.lang.Exception

  Description copied from class: `Marshaller`
  Implementation classes will need to parse the given stream and create an object from it.

  Specified by:
    `objectFromStream` in class `Marshaller`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.